Get Surveys Submissions
Get Surveys Submissions
GET
/
surveys
/
submissions
Get Surveys Submissions
curl --request GET \
--url https://services.leadconnectorhq.com/surveys/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/surveys/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/surveys/submissions"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"submissions": [
{
"id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
"contactId": "9NkT25Vor1v4aQatFsv2",
"createdAt": "2020-11-01T18:02:21.000Z",
"surveyId": "jjusM6EOngDExnbo2DbU",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "survey",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.hoopai.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Survey",
"fingerprint": "example-fingerprint",
"pageVisitType": "survey",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get Surveys Submissions
curl --request GET \
--url https://services.leadconnectorhq.com/surveys/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/surveys/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/surveys/submissions"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"submissions": [
{
"id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
"contactId": "9NkT25Vor1v4aQatFsv2",
"createdAt": "2020-11-01T18:02:21.000Z",
"surveyId": "jjusM6EOngDExnbo2DbU",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "survey",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.hoopai.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Survey",
"fingerprint": "example-fingerprint",
"pageVisitType": "survey",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}